-- Author:		Ahbaid Gaffoor
-- File:		list_synonyms.sql
-- Use:			List synonyms


set echo off

column c0 format A90 heading "Synonym"

select rpad(s.synonym_name||' ',31,'-')||'--> '||s.table_owner||'.'||s.table_name||' ['||o.object_type||']' as c0
from dba_synonyms s, dba_objects o
where s.owner = 'PUBLIC' and 
      s.table_owner = upper('&&schema') and
      o.owner = s.table_owner and
      o.object_name = s.table_name
order by s.table_name, s.table_owner;
