-- Author:		Ahbaid Gaffoor
-- File:		list_tablespaces.sql
-- Use:			List tablespaces

column tablespace_name heading "Tablespace"
column file_name format A25 word_wrapped heading "File"

select tablespace_name, file_name from dba_data_files
where tablespace_name in (upper('&&data_tspc'),upper('&&ndx_tspc'))
order by 1, file_id;
