-- Author:		Ahbaid Gaffoor
-- File:		defines.sql
-- Use:			Definitions for make.sql

-- {{{ dbname
undefine dbname
@@dbname
-- }}}

-- {{{ Clear definitions
undefine schema
undefine in_schema
undefine synonym_schema
undefine data_tspc
undefine data_tspc_size
undefine lob_tspc
undefine lob_tspc_size
undefine fs1
undefine fs2
-- }}}

-- {{{ Schema definitions
define schema=demo
-- }}}

-- {{{ Tablespace definitions
define data_tspc=demo_data
define data_tspc_size=100M
define ndx_tspc=ndx_tspc
define ndx_tspc_size=50M
define fs1=/fs-a01-a/databases/&&dbname
define fs2=/fs-b01-a/databases/&&dbname
-- }}}
